打开/关闭菜单
打开/关闭外观设置菜单
打开/关闭个人菜单
未登录
未登录用户的IP地址会在进行任意编辑后公开展示。

MediaWiki:Citizen.css:修订间差异

MediaWiki界面页面
DGCK81LNN留言 | 贡献
add rounded corners and theme colors to various templates
LNNBot留言 | 贡献
导入1个版本:​从分支站同步更改
标签自动同步
(没有差异)

2025年8月10日 (日) 12:55的版本

.lnnblog-button-white {
    color: var(--color-base);
    background: var(--background-color-transparent);
    border-radius: var(--border-radius-medium);
    border: var(--border-width-base) solid var(--border-color-interactive);
    padding: var(--space-xs) var(--space-md);
}
.lnnblog-button-white:hover {
	background: var(--background-color-button-quiet--hover);
}
.lnnblog-button-white:active {
	background: var(--background-color-button-quiet--active);
}

.lnnblog-button-blue {
    color: var(--color-inverted-primary);
    background: var(--color-progressive);
    border-radius: var(--border-radius-medium);
    border: none;
    padding: var(--space-xs) var(--space-md);
    font-weight: var(--font-weight-medium);
}
.lnnblog-button-blue:hover {
	background-color: var(--color-progressive--hover);
}
.lnnblog-button-blue:active {
	background-color: var(--color-progressive--active);
}

.lnnblog-button-red {
    color: var(--color-inverted-primary);
    background: var(--color-destructive);
    border-radius: var(--border-radius-medium);
    border: none;
    padding: var(--space-xs) var(--space-md);
    font-weight: var(--font-weight-medium);
}
.lnnblog-button-red:hover {
	background-color: var(--color-destructive--hover);
}
.lnnblog-button-red:active {
	background-color: var(--color-destructive--active);
}

.lnnblog-documentation {
	border: var(--border-base);
	border-radius: var(--border-radius-large);
}
.lnnblog-documentation-header {
    border-bottom: none;
}

.wikitable {
	background: var(--background-color-base);
}
.mw-templatedata-doc-wrap .wikitable {
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}

.cdx-message {
	border-radius: var(--border-radius-medium);
}

.infoBox {
	border-radius: var(--border-radius-medium);
}
.infoBoxContent {
    border: var(--border-base);
    border-left: none;
    border-radius: 0 var(--border-radius-medium) var(--border-radius-medium) 0;
    background: var(--background-color-base);
}

.lnnblog-box,
.lnnblog-hidebox {
	background: var(--background-color-base);
	border: var(--border-base);
    border-radius: var(--border-radius-medium);
}
.lnnblog-box-heading,
.lnnblog-hidebox-heading {
	color: var(--color-subtle);
	background: var(--color-surface-1);
    border-top-left-radius: var(--border-radius-medium);
    border-top-right-radius: var(--border-radius-medium);
}
.lnnblog-box-body,
.lnnblog-hidebox-body {
	border-top: var(--border-base);
}
.lnnblog-hidebox:not([open]) > .lnnblog-hidebox-heading {
    border-radius: var(--border-radius-medium);
}

.lnnblog-jk {
    color: var(--color-disabled);
}

.lnnblog-infobox {
	background: var(--background-color-base);
	border: var(--border-base);
    border-collapse: separate;
    border-spacing: 0;
    border-radius: var(--border-radius-medium);
}
.lnnblog-infobox-titlebar {
	background: var(--color-surface-1);
	color: var(--color-subtle);
    border-top-left-radius: var(--border-radius-medium);
    border-top-right-radius: var(--border-radius-medium);
}

blockquote {
    border-left-color: var(--color-disabled);
}

em:lang(ja), em:lang(ko), em:lang(mn), em:lang(zh) {
    text-emphasis-position: under;
}

/* 亮色主题下不给 wordmark 图片反色 */
.skin-citizen-light #footer-sitetitle img.mw-logo-wordmark,
.skin-citizen-auto #footer-sitetitle img.mw-logo-wordmark {
	filter: none !important;
}
@media not screen {
	#footer-sitetitle img.mw-logo-wordmark {
		filter: none !important;
	}
}
@media screen and (prefers-color-scheme: dark) {
	.skin-citizen-auto #footer-sitetitle img.mw-logo-wordmark {
		filter: invert(1) hue-rotate(180deg) !important;
	}
}

/* 暗色主题下可以选择给部分内容反色 */
.skin-citizen-dark .lnnblog-invert {
	filter: invert(1) hue-rotate(180deg) !important;
}

/* 更紧凑的 editOptions */
.editOptions {
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	justify-content: space-between;
	padding: 1rem;
	gap: 0.5rem;
}
#wpSummaryLabel {
	width: 100%;
}
#wpSummaryLabel .oo-ui-fieldLayout-body {
	display: flex;
	align-items: center;
}
#wpSummaryLabel .oo-ui-fieldLayout-field {
	flex: 1;
}
#wpSummaryWidget {
	margin-bottom: 0 !important;
}
#editpage-copywarn {
	display: none;
}
#wpSaveWidget,
#wpPreviewWidget,
#wpDiffWidget {
	margin-top: 0;
}
#mw-editform-cancel {
	margin: 0;
}

/* Citizen compatibility fixes */
table {
	display: table;
}
.citizen-table-wrapper:has(>.lnnblog-float),
.citizen-table-wrapper:has(>.lnnblog-infobox){
    display: contents;
}
cite {
	font-style: italic;
}

/* HotCat */
.mw-normal-catlinks {
    font-size: var(--font-size-x-small);
    color: var(--color-base--subtle);
    letter-spacing: .05em;
}
.mw-normal-catlinks>a {
    display: inline;
}